<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VerificationCodeEditComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>verification-code-edit</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./verification-code-edit.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./verification-code-edit.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#matSelects">matSelects</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#addColumnToDisplay">addColumnToDisplay</a>
                            </li>
                            <li>
                                <a href="#addColumnToSort">addColumnToSort</a>
                            </li>
                            <li>
                                <a href="#changeColumnToDisplay">changeColumnToDisplay</a>
                            </li>
                            <li>
                                <a href="#changeColumnToSort">changeColumnToSort</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#emitChange">emitChange</a>
                            </li>
                            <li>
                                <a href="#sortPossibleColumns">sortPossibleColumns</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#displayedColumns">displayedColumns</a>
                            </li>
                            <li>
                                <a href="#possibleColumns">possibleColumns</a>
                            </li>
                            <li>
                                <a href="#readOnly">readOnly</a>
                            </li>
                            <li>
                                <a href="#sortOrder">sortOrder</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Outputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#displayedColumnsChange">displayedColumnsChange</a>
                            </li>
                            <li>
                                <a href="#sortOrderChange">sortOrderChange</a>
                            </li>
                        </ul>
                    </td>
                </tr>



        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor()</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:27</a></div>
                            </td>
                        </tr>

            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="displayedColumns"></a>
                        <code>displayedColumns</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>string[]</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:18</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="possibleColumns"></a>
                        <code>possibleColumns</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>string[]</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:15</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="readOnly"></a>
                        <code>readOnly</code>
                    </td>
                    <td class="col-md-10">
                        <p>
                            <em>Default value : </em><code>false</code>
                        </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:12</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="sortOrder"></a>
                        <code>sortOrder</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>string[]</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:21</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <section>
    <h3 id="outputs">Outputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="displayedColumnsChange"></a>
                        <code>displayedColumnsChange</code>
                    </td>
                    <td class="col-md-10">
                        <em><code>$event</code> Type:</em>    <code><a href="https://angular.io/api/core/EventEmitter" target="_blank" >EventEmitter</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:24</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="sortOrderChange"></a>
                        <code>sortOrderChange</code>
                    </td>
                    <td class="col-md-10">
                        <em><code>$event</code> Type:</em>    <code><a href="https://angular.io/api/core/EventEmitter" target="_blank" >EventEmitter</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:27</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addColumnToDisplay"></a>
                        <span class="name">
                            <b>
                            addColumnToDisplay
                            </b>
                            <a href="#addColumnToDisplay"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>addColumnToDisplay()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="70" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:70</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addColumnToSort"></a>
                        <span class="name">
                            <b>
                            addColumnToSort
                            </b>
                            <a href="#addColumnToSort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>addColumnToSort()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="78" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:78</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="changeColumnToDisplay"></a>
                        <span class="name">
                            <b>
                            changeColumnToDisplay
                            </b>
                            <a href="#changeColumnToDisplay"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>changeColumnToDisplay(index, change: MatSelectChange)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>index</td>
                                                        <td>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>change</td>
                                                        <td>
                                                                    <code>MatSelectChange</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="changeColumnToSort"></a>
                        <span class="name">
                            <b>
                            changeColumnToSort
                            </b>
                            <a href="#changeColumnToSort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>changeColumnToSort(index, change: MatSelectChange)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:57</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>index</td>
                                                        <td>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>change</td>
                                                        <td>
                                                                    <code>MatSelectChange</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="emitChange"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            emitChange
                            </b>
                            <a href="#emitChange"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>emitChange(displayedColumns?: string[], sortOrder?: string[])</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="87" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:87</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>displayedColumns</td>
                                                        <td>
                                                                    <code>string[]</code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>sortOrder</td>
                                                        <td>
                                                                    <code>string[]</code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sortPossibleColumns"></a>
                        <span class="name">
                            <b>
                            sortPossibleColumns
                            </b>
                            <a href="#sortPossibleColumns"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>sortPossibleColumns(index: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:63</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>index</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="matSelects"></a>
                        <span class="name">
                            <b>
                            matSelects
                            </b>
                            <a href="#matSelects"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>matSelects:     <code>QueryList&lt;MatSelect&gt;</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>QueryList&lt;MatSelect&gt;</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChildren(MatSelect)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/operation/parameters/election-page-properties/verification-code-edit/verification-code-edit.component.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, EventEmitter, Input, Output, QueryList, ViewChildren } from &#x27;@angular/core&#x27;;
import { MatSelect, MatSelectChange } from &#x27;@angular/material&#x27;;

@Component({
  selector: &#x27;verification-code-edit&#x27;,
  templateUrl: &#x27;./verification-code-edit.component.html&#x27;,
  styleUrls: [&#x27;./verification-code-edit.component.scss&#x27;]
})
export class VerificationCodeEditComponent {

  @Input()
  readOnly &#x3D; false;

  @Input()
  possibleColumns: string[];

  @Input()
  displayedColumns: string[];

  @Input()
  sortOrder: string[];

  @Output()
  displayedColumnsChange &#x3D; new EventEmitter&lt;string[]&gt;();

  @Output()
  sortOrderChange &#x3D; new EventEmitter&lt;string[]&gt;();


  constructor() {
  }


  @ViewChildren(MatSelect)
  matSelects: QueryList&lt;MatSelect&gt;;

  changeColumnToDisplay(index, change: MatSelectChange) {
    let oldValue &#x3D; this.displayedColumns[index];
    let newDisplayedColumns &#x3D; this.displayedColumns.slice();
    newDisplayedColumns[index] &#x3D; change.value;
    newDisplayedColumns &#x3D; newDisplayedColumns.filter(c &#x3D;&gt; !!c);
    this.emitChange(newDisplayedColumns);

    // Due to a bug in angular material design component
    setTimeout(() &#x3D;&gt; {
      newDisplayedColumns.forEach((value, i) &#x3D;&gt; {
        if (change.value &#x3D;&#x3D; value &amp;&amp; i !&#x3D; index) {
          newDisplayedColumns[i] &#x3D; oldValue
        }
      });
      this.emitChange(newDisplayedColumns);
    });

  }


  changeColumnToSort(index, change: MatSelectChange) {
    let newOrder &#x3D; this.sortOrder.slice();
    newOrder[index] &#x3D; change.value;
    this.emitChange(null, newOrder.filter(c &#x3D;&gt; !!c));
  }

  sortPossibleColumns(index: number) {
    return this.possibleColumns.filter(
      column &#x3D;&gt; this.sortOrder.indexOf(column) &#x3D;&#x3D; index || this.sortOrder.indexOf(column) &lt; 0)

  }


  addColumnToDisplay() {
    let newColumns &#x3D; this.displayedColumns.slice();
    newColumns.push(
      this.possibleColumns.filter(column &#x3D;&gt; this.displayedColumns.indexOf(column) &lt; 0)[0]
    );
    this.emitChange(newColumns);
  }

  addColumnToSort() {
    let newOrder &#x3D; this.sortOrder.slice();
    newOrder.push(
      this.possibleColumns.filter(column &#x3D;&gt; this.sortOrder.indexOf(column) &lt; 0)[0]
    );
    this.emitChange(null, newOrder);
  }


  private emitChange(displayedColumns?: string[], sortOrder?: string[]) {
    if (displayedColumns) {
      this.displayedColumnsChange.emit(displayedColumns);
    }

    if (sortOrder) {
      this.sortOrderChange.emit(sortOrder);
    }

  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;section *ngIf&#x3D;&quot;displayedColumns &amp;&amp; sortOrder&quot;&gt;

  &lt;div class&#x3D;&quot;section-title&quot;&gt;
    {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-display.title&#x27; | translate }}
  &lt;/div&gt;

  &lt;div id&#x3D;&quot;columns-to-display&quot;&gt;
    &lt;mat-form-field *ngFor&#x3D;&quot;let displayedColumn of displayedColumns; let i &#x3D; index&quot; class&#x3D;&quot;column-to-display&quot;&gt;
      &lt;mat-select [value]&#x3D;&quot;displayedColumn&quot; id&#x3D;&quot;{{&#x27;column_to_display_&#x27; + i}}&quot;
                  (selectionChange)&#x3D;&quot;changeColumnToDisplay(i, $event)&quot; [disabled]&#x3D;&quot;readOnly&quot;&gt;
        &lt;mat-option *ngFor&#x3D;&quot;let column of possibleColumns&quot; [value]&#x3D;&quot;column&quot;&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.verification-table.columns.&#x27; + column | translate }}
        &lt;/mat-option&gt;
        &lt;mat-option [value]&#x3D;&quot;null&quot; *ngIf&#x3D;&quot;displayedColumns.length &gt; 1&quot;&gt;
          &lt;mat-icon&gt;delete&lt;/mat-icon&gt;
          &lt;span&gt;
            {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-display.remove-column&#x27; | translate }}
          &lt;/span&gt;
        &lt;/mat-option&gt;
      &lt;/mat-select&gt;
    &lt;/mat-form-field&gt;

    &lt;div class&#x3D;&quot;column-to-display&quot; *ngIf&#x3D;&quot;displayedColumns.length &lt; possibleColumns.length &amp;&amp; !readOnly&quot;&gt;
      &lt;button mat-button color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;addColumnToDisplay()&quot; id&#x3D;&quot;add-column-to-display&quot;&gt;
        &lt;mat-icon&gt;add&lt;/mat-icon&gt;
        {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-display.add-column&#x27; |
        translate }}
      &lt;/button&gt;
    &lt;/div&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;section-title&quot;&gt;
    {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.title&#x27; | translate }}
  &lt;/div&gt;

  &lt;div id&#x3D;&quot;columns-to-sort&quot;&gt;
    &lt;mat-form-field *ngFor&#x3D;&quot;let _ of sortOrder; let i &#x3D; index&quot; class&#x3D;&quot;column-to-sort&quot;&gt;
      &lt;mat-select [value]&#x3D;&quot;sortOrder[i]&quot; id&#x3D;&quot;{{&#x27;column_to_sort_&#x27; + i}}&quot; [disabled]&#x3D;&quot;readOnly&quot;
                  placeholder&#x3D;&quot;{{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.&#x27; + ( i &#x3D;&#x3D; 0? &#x27;first-sort&#x27; : &#x27;further-sort&#x27;) | translate}}&quot;
                  (selectionChange)&#x3D;&quot;changeColumnToSort(i, $event)&quot;&gt;
        &lt;mat-option *ngFor&#x3D;&quot;let column of sortPossibleColumns(i)&quot; [value]&#x3D;&quot;column&quot;&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.verification-table.columns.&#x27; + column | translate }}
        &lt;/mat-option&gt;
        &lt;mat-option [value]&#x3D;&quot;null&quot;&gt;
          &lt;mat-icon&gt;delete&lt;/mat-icon&gt;
          &lt;span&gt;
            {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.remove-column&#x27; | translate }}
          &lt;/span&gt;
        &lt;/mat-option&gt;
      &lt;/mat-select&gt;
    &lt;/mat-form-field&gt;

    &lt;div class&#x3D;&quot;column-to-sort&quot; *ngIf&#x3D;&quot;sortOrder.length &lt; possibleColumns.length  &amp;&amp; !readOnly&quot;&gt;
      &lt;button mat-button color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;addColumnToSort()&quot; id&#x3D;&quot;add-column-to-sort&quot;&gt;
        &lt;mat-icon&gt;add&lt;/mat-icon&gt;
        {{ &#x27;parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.add-column&#x27; |
        translate }}
      &lt;/button&gt;
    &lt;/div&gt;
  &lt;/div&gt;

&lt;/section&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./verification-code-edit.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">#columns-to-display, #columns-to-sort {
  display: flex;
}

.column-to-display, .column-to-sort {
  align-self: center;
  flex: 0 0 8em;
  padding-left: 1em;
  padding-right: 1em;
  border-right: 1px dotted #c8c8c8;
}

.column-to-display:last-child, .column-to-sort:last-child {
  border-right: 0;
}

.section-title {
  margin-bottom: 0.5em;
}

section {

  margin-left: 5em;
  border-left: 0.5em solid #d2d2d2;
  padding-left: 1em;
}


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><section *ngIf="displayedColumns && sortOrder">  <div class="section-title">    {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.title\' | translate }}  </div>  <div id="columns-to-display">    <mat-form-field *ngFor="let displayedColumn of displayedColumns; let i = index" class="column-to-display">      <mat-select [value]="displayedColumn" id="{{\'column_to_display_\' + i}}"                  (selectionChange)="changeColumnToDisplay(i, $event)" [disabled]="readOnly">        <mat-option *ngFor="let column of possibleColumns" [value]="column">          {{\'parameters.election-page-properties.edit.models.form.verification-table.columns.\' + column | translate }}        </mat-option>        <mat-option [value]="null" *ngIf="displayedColumns.length > 1">          <mat-icon>delete</mat-icon>          <span>            {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.remove-column\' | translate }}          </span>        </mat-option>      </mat-select>    </mat-form-field>    <div class="column-to-display" *ngIf="displayedColumns.length < possibleColumns.length && !readOnly">      <button mat-button color="primary" (click)="addColumnToDisplay()" id="add-column-to-display">        <mat-icon>add</mat-icon>        {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.add-column\' |        translate }}      </button>    </div>  </div>  <div class="section-title">    {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.title\' | translate }}  </div>  <div id="columns-to-sort">    <mat-form-field *ngFor="let _ of sortOrder; let i = index" class="column-to-sort">      <mat-select [value]="sortOrder[i]" id="{{\'column_to_sort_\' + i}}" [disabled]="readOnly"                  placeholder="{{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.\' + ( i == 0? \'first-sort\' : \'further-sort\') | translate}}"                  (selectionChange)="changeColumnToSort(i, $event)">        <mat-option *ngFor="let column of sortPossibleColumns(i)" [value]="column">          {{\'parameters.election-page-properties.edit.models.form.verification-table.columns.\' + column | translate }}        </mat-option>        <mat-option [value]="null">          <mat-icon>delete</mat-icon>          <span>            {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.remove-column\' | translate }}          </span>        </mat-option>      </mat-select>    </mat-form-field>    <div class="column-to-sort" *ngIf="sortOrder.length < possibleColumns.length  && !readOnly">      <button mat-button color="primary" (click)="addColumnToSort()" id="add-column-to-sort">        <mat-icon>add</mat-icon>        {{ \'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.add-column\' |        translate }}      </button>    </div>  </div></section></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'VerificationCodeEditComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VerificationCodeEditComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
